it-swarm.com.de

Installation der Gnome-Shell-Erweiterungen von https://extensions.gnome.org/ nicht möglich. Kein Wechselschalter (EIN / AUS)

Ich kann unter https://extensions.gnome.org/ [Filtereinstellungen: 'Kompatibel mit: Aktuelle Version'] keine Gnome-Shell-Erweiterungen auswählen/installieren, wie in den FAQ Abschnitt. Ich habe auch nach ähnlichen Beiträgen gesucht (in diesem Forum), konnte jedoch keine hilfreichen Informationen finden - obwohl anscheinend mehrere Personen von ähnlichen Problemen betroffen sind.

  • was beim besuch von o.m. Domäne, alle Anwendungssymbole und Threads erscheinen in einem blassen (dh verblasst ) Farbe
  • bei Auswahl einer dieser Anwendungen fehlt ein Kippschalter (dh EIN/AUS-Schalter) ; Es wird kein rotes Popup-Banner angezeigt, da das Gnome-Shell-Integrations-Plugin bereits aktiviert ist
  • bemerkenswerterweise werden auch Rezensionen nicht geladen (d. h. sie werden scheinbar für immer geladen)
  • der Tab "Installierte Erweiterungen" [ https://extensions.gnome.org/local/] ist zugänglich, aber leer

Das von mir verwendete System/Setup:

  • Ubuntu (Gnome) 16.04.1 LTS 64-Bit
  • Kernel vers .: 4.4.0-45
  • GNOME Shell 3.18.5
  • gnome-Tweak-tool ist installiert
  • Firefox vers .: 49.0.2
    • das Gnome-Shell-Integrations-Plugin ist aktiviert ['immer aktiviert'; bestätigt in 'about: plugins']
    • Einstellungen für "click_to_play" deaktiviert (d. h. auf "false" gesetzt) ​​[in "about: config"]

Um mögliche Konflikte auszuschließen, hier ist meine Ausgabe von apparmor_status | grep firefox

/usr/lib/firefox/firefox{,*[^s][^h]}
/usr/lib/firefox/firefox{,*[^s][^h]}//browser_Java
/usr/lib/firefox/firefox{,*[^s][^h]}//browser_openjdk
/usr/lib/firefox/firefox{,*[^s][^h]}//lsb_release
/usr/lib/firefox/firefox{,*[^s][^h]}//sanitized_helper
/usr/lib/firefox/firefox{,*[^s][^h]} (2937) 
/usr/lib/firefox/firefox{,*[^s][^h]} (3694) 

Ich habe wiederholt versucht, die Seiten neu zu laden/Firefox neu zu starten/die Gnome-Shell neu zu starten/das System neu zu starten. Bisher keine Änderung.

Würde mich sehr über Ideen freuen, die das Problem verursachen könnten.

1
brunuser

Update: Ich habe das Problem umgangen, indem ich den Epiphany-Browser über Sudo apt-get install epiphany Installiert habe. Mit diesem Browser konnte ich die gewünschten Shell-Erweiterungen mit dem im Web integrierten Toggle installieren (alle oben genannten Unregelmäßigkeiten wurden nicht beachtet).

Da die Erweiterungen nun lokal gespeichert wurden in ...

~/.local/share/gnome-Shell/extensions

... Ich habe dann Epiphany und abhängige Dateien entfernt: Sudo apt-get remove epiphany && Sudo apt-get autoremove [Ich wollte den Befehl purge nicht verwenden.].

Wenn Sie eine blinde Vermutung anstellen, gab es möglicherweise einen Konflikt zwischen (einigen) Firefox-Konfigurationen (Standardeinstellungen) und der Kommunikation zwischen dem Skript auf https://extensions.gnome.org/local/ mit der Gnome-Shell ?


PS: Falls jemand Probleme bei der Installation der Gnome-Shell-Erweiterung ' System Monitor ' unter Ubuntu (Gnome) 16.04 hat, dh ein unbeaufsichtigter Fehler bei der Installation mit dem Schalter, der gleichzeitig mit dem Wechsel in ausgeführt wird Position 'OFF' nach der Seitenaktualisierung. Möglicherweise müssen Sie libgtop2-10 & gir1.2-gtop-2.0code Installieren. Die Erweiterung ist abhängig von denen, die standardmäßig nicht in der 16.04 LTS-Installation enthalten zu sein scheinen. Anscheinend werden die fehlenden Abhängigkeiten erkannt und die Installation vom Webinterface schlägt aus diesem Grund fehl/wird abgebrochen. Leider sind Sie über diesen Fehler nicht eindeutig informiert.

1
brunuser